import request from "@/api/request.js";

// 合作限制-首页统计接口
export function getCoopRestrictionStatistics() {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/getCount`
    })
}

// 合作限制-查询最新动态信息接口
export function getCoopRestrictionTrends() {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/getLatestTrends`
    })
}

// 合作限制-查询风险信号接口
/**
 * @param {moduleId} 
 * @header token
 */
export function getCoopRestrictionSignals(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/riskSignal/${params.moduleId}`
    })
}

// 合作限制-查询新闻资讯接口
/**
 * @param {moduleId} 
 * @header token
 */
export function getCoopRestrictionNews(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/news/${params.moduleId}`
    })
}

// 合作限制-查询社交媒体接口
/**
 * @param {moduleId} 
 * @header token
 */
export function getCoopRestrictionSocial(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/remarks/${params.moduleId}`
    })
}

// 合作限制-各类型合作限制政策对比接口
/**
 * @param {years} 
 * @header token
 */
export function getCoopRestrictionCompare(params) {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/getLimitCompare`,
        params
    })
}

// 合作限制-各领域规则分布情况接口
/**
 * @param {year} 
 * @header token
 */
export function getCoopRestrictionDomain(params) {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/getLimitArea`,
        params
    })
}

// 合作限制-获取合作限制列表接口
/**
 * @param {area} 涉及领域
 * @param {currentPage} 当前页码
 * @param {pageSize} 每页数量
 * @param {sortOrder} 排序顺序
 * @param {source} 合作来源
 * @param {sortField} 排序字段
 * @param {type} 合作限制类型
 * @header token
 */
export function getCoopRestrictionList(params) {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/statList`,
        params
    })
}



// 合作限制-查询简介接口
/**
 * @param {limitId} 合作限制ID
 * @header token
 */
export function getCoopRestrictionIntroduction(params) {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/searchBlurb`,
        params
    })
}

// 合作限制-相关实体接口
/**
 * @param {limitId} 合作限制ID
 * @header token
 */
export function getCoopRestrictionRelated(params) {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/getLimitEntity`,
        params
    })
}

// 合作限制-背景分析接口
/**
 * @param {limitId} 合作限制ID
 * @header token
 */
export function getCoopRestrictionBackground(params) {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/getLimitBackGround`,
        params
    })
}

// 合作限制-限制条款接口
/**
 * @param {limitId} 合作限制ID
 * @header token
 */
export function getCoopRestrictionClause(params) {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/getLimitClause`,
        params
    })
}
